Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.ast
Class ConstraintNode_c

    java.lang.Object
      polyglot.ext.jl.ast.Node_c
          jif.ast.ConstraintNode_c

All Implemented Interfaces:
  java.lang.Cloneable, ConstraintNode, polyglot.ast.JL, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.util.Copy

Direct Known Subclasses:
  ActsForConstraintNode_c, AuthConstraintNode_c, CallerConstraintNode_c, CanonicalConstraintNode_c, LabelLeAssertionNode_c

    public class ConstraintNode_c

extends polyglot.ext.jl.ast.Node_c
implements ConstraintNode

An implementation of the `ConstraintNode` interface.

Field Summary
`protected Assertion` | `constraint`

Fields inherited from class polyglot.ext.jl.ast.Node_c
`del, error, ext, position`

Constructor Summary
`ConstraintNode_c(polyglot.util.Position pos)`

Method Summary
`Assertion` | `constraint()`
`ConstraintNode` | `constraint(Assertion constraint)`
`polyglot.visit.NodeVisitor` | `exceptionCheckEnter(polyglot.visit.ExceptionChecker ec)` Bypass all children when peforming an exception check.
`boolean` | `isDisambiguated()`
`java.lang.String` | `toString()`

Methods inherited from class polyglot.ext.jl.ast.Node_c
`addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, del, del, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, enterChildScope, enterScope, error, error, exceptionCheck, ext, ext, ext, ext, init, isTypeChecked, node, position, position, prettyPrint, prettyPrint, prettyPrint, print, printBlock, printSubStmt, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visit, visitChild, visitChildren, visitEdge, visitList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface polyglot.ast.Node
`childExpectedType, del, del, dump, error, error, ext, ext, ext, ext, isTypeChecked, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`addDecls, buildTypes, buildTypesEnter, checkConstants, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChildren`

Methods inherited from interface polyglot.util.Copy
`copy`

Field Detail

### constraint

    protected Assertion constraint

Constructor Detail

### ConstraintNode_c

    public ConstraintNode_c(polyglot.util.Position pos)

Method Detail

### isDisambiguated

    public boolean isDisambiguated()

  Specified by:
    `isDisambiguated` in interface `polyglot.ast.Node`
  Overrides:
    `isDisambiguated` in class `polyglot.ext.jl.ast.Node_c`

### constraint

    public Assertion constraint()

  Specified by:
    `constraint` in interface `ConstraintNode`

### constraint

    public ConstraintNode constraint(Assertion constraint)

  Specified by:
    `constraint` in interface `ConstraintNode`

### exceptionCheckEnter

    public polyglot.visit.NodeVisitor exceptionCheckEnter(polyglot.visit.ExceptionChecker ec)
                                                   throws polyglot.types.SemanticException

  Bypass all children when peforming an exception check. Constraints aren't examined at runtime.

  Specified by:
    `exceptionCheckEnter` in interface `polyglot.ast.NodeOps`
  Overrides:
    `exceptionCheckEnter` in class `polyglot.ext.jl.ast.Node_c`
  Throws:
    `polyglot.types.SemanticException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `polyglot.ext.jl.ast.Node_c`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD